﻿namespace CodeDDD.Infrastructure.Crosscutting.Seedwork.IoC
{
    /// <summary>
    /// Base contract for IoC abstract factory
    /// </summary>
    public interface IIoCFactory
    {
        /// <summary>
        /// Create a new IContainer
        /// </summary>
        /// <returns>The IContainer created</returns>
        IContainer Create();
    }
}
